org.apache.olingo.server.api.processor

## Interface PrimitiveValueProcessor

- All Superinterfaces:
    PrimitiveProcessor, Processor

      public interface PrimitiveValueProcessor
      extends PrimitiveProcessor

  Processor interface for handling an instance of a primitive type, e.g., a primitive property of an entity.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deletePrimitiveValue(ODataRequest request, ODataResponse response, UriInfo uriInfo)` Deletes primitive-type raw value from an entity and puts the status into the response.
    `void` | `readPrimitiveValue(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType responseFormat)` Reads raw value of a primitive-type instance, e.g., of a primitive property of an entity.
    `void` | `updatePrimitiveValue(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat, ContentType responseFormat)` Update primitive-type instance with sent raw data in the persistence and puts content, status, and Location into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.PrimitiveProcessor

      `deletePrimitive, readPrimitive, updatePrimitive`

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### readPrimitiveValue

          void readPrimitiveValue(ODataRequest request,
                                  ODataResponse response,
                                  UriInfo uriInfo,
                                  ContentType responseFormat)
                           throws ODataApplicationException,
                                  ODataLibraryException

      Reads raw value of a primitive-type instance, e.g., of a primitive property of an entity. If the value is `null`, the service responds with 204 No Content. If it is not available, for example due to permissions, the service responds with 404 Not Found.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### updatePrimitiveValue

          void updatePrimitiveValue(ODataRequest request,
                                    ODataResponse response,
                                    UriInfo uriInfo,
                                    ContentType requestFormat,
                                    ContentType responseFormat)
                             throws ODataApplicationException,
                                    ODataLibraryException

      Update primitive-type instance with sent raw data in the persistence and puts content, status, and Location into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### deletePrimitiveValue

          void deletePrimitiveValue(ODataRequest request,
                                    ODataResponse response,
                                    UriInfo uriInfo)
                             throws ODataApplicationException,
                                    ODataLibraryException

      Deletes primitive-type raw value from an entity and puts the status into the response. Deletion of a primitive-type value is equivalent to setting the value to `null`.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.